* {
	box-sizing: border-box;
}

body {
	background-color: black;
	margin: 0;
	font-family: 'Segoe UI', Helvetica Neue, Helvetica, Lucida Grande, Arial;
}

.app-window {
	display: flex;
	height: 100vh;
	background-color: #161B22;
	transition: all ease 0.4s;
}

.sidebar {
	width: 35%;
	max-width: 415px;
	display: flex;
	flex-direction: column;
	border-right: 1px solid rgb(32, 44, 51, 0.75);
}

header {
	height: 60px;
	display: flex;
	align-items: center;
	justify-content: space-between;
	padding: 0 15px;
	color: #fff;
}

.header--user {
	display: flex;
	align-items: center;
}

.header--buttons {
	display: flex;
	cursor: pointer;
}

.header--btn {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: flex;
    color: #fff;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.header--avatar {
	width: 40px;
	height: 40px;
	border-radius: 20px;
	cursor: pointer;
	margin-right: 15px;
}

.search {
	background-color: #0D1117;
	border-bottom: 1px solid rgb(32, 44, 51, 0.75);;
	padding: 10px 15px;
}

.search--input {
	background-color: #fff;
	height: 40px;
	border-radius: 20px;
	display: flex;
	align-items: center;
	padding: 0 10px;
}

.search--input input {
	flex: 1;
	border: 0;
	outline: 0;
	background-color: transparent;
	margin-left: 10px;
}

.chatlist {
	flex: 1;
	background-color: #0D1117;
	overflow-y: auto;
}

.chatlist::-webkit-scrollbar {
	width: 6px;
	height: 6px;
}

.chatlist::-webkit-scrollbar-thumb {
	background-color: rgba(0, 0, 0, 0.2);
}

.contentarea {
	width: 100%;
}
